classification
Title: Document changed argparse output wrt optional arguments in What's new in Python 3.10
Type: Stage: resolved
Components: Documentation Versions: Python 3.10
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, gvanrossum, hrnciar, hroncok, paul.j3, rhettinger
Priority: normal Keywords: patch

Created on 2021-01-08 23:50 by hroncok, last changed 2021-01-12 00:42 by gvanrossum. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 24190 merged hrnciar, 2021-01-11 14:32
Messages (4)
msg384699 - (view) Author: Miro Hrončok (hroncok) * Date: 2021-01-08 23:50
A followup from https://bugs.python.org/issue9694

Could the change in output please be mentioned on https://docs.python.org/3.10/whatsnew/3.10.html ?

In Fedora, at least 3 packages fail tests because of the change:

ipython: https://github.com/ipython/ipython/pull/12759
m2r: https://github.com/miyakogi/m2r/pull/62
sphinxcontrib-autoprogram: https://bugzilla.redhat.com/show_bug.cgi?id=1914341

Thanks.
msg384735 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2021-01-09 17:19
Quickest way to get that done is to send in a PR that updates whatsnew.
msg384872 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2021-01-12 00:41
New changeset fb35fa49d192368e94ffec09c092260ed0fea2e1 by Tomáš Hrnčiar in branch 'master':
bpo-42870: Document change in argparse help output. (GH-24190)
https://github.com/python/cpython/commit/fb35fa49d192368e94ffec09c092260ed0fea2e1
msg384873 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2021-01-12 00:42
Thanks for your fix!
History
Date User Action Args
2021-01-12 00:42:22gvanrossumsetstatus: open -> closed
resolution: fixed
messages: + msg384873

stage: patch review -> resolved
2021-01-12 00:41:43gvanrossumsetmessages: + msg384872
2021-01-11 14:32:03hrnciarsetkeywords: + patch
nosy: + hrnciar

pull_requests: + pull_request23017
stage: patch review
2021-01-09 17:19:18gvanrossumsetnosy: + gvanrossum
messages: + msg384735
2021-01-08 23:50:53hroncokcreate